Bug 188546 - Fan does not operate on AMD Turion 64
Fan does not operate on AMD Turion 64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
bzcl34nup
:
: 188547 (view as bug list)
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2006-04-10 21:27 EDT by Peter Barker
Modified: 2015-01-04 17:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:46:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
compressed log, DSDT and lspci output (36.94 KB, application/x-gzip)
2006-04-10 21:27 EDT, Peter Barker
no flags Details

  None (edit)
Description Peter Barker 2006-04-10 21:27:46 EDT
Created attachment 127583 [details]
compressed log, DSDT and lspci output
Comment 1 Peter Barker 2006-04-10 21:27:46 EDT
Description of problem:
Fan speed control does not work unless read /proc/acpi/Thermal_zone/TZ1/
temperature
System may hang for a few seconds after issuing command to read this file. acpid 
usage may go to 99% for a few minutes.
I think fan comes on at lower temperatures in Windows XP on this PC.

Version-Release number of selected component (if applicable):
Kernel 2.6.16-1.2080_FC5 for x86_64 
acpid 1.0.4-2

How reproducible:
Always?

Steps to Reproduce:
1. Run a CPU-intensive program
2. Wait for CPU to heat up (above 60 deg?)
3. cat /proc/acpi/therm*/*/temperature - fan will start
4. Wait for CPU to cool down (to 50 deg)
5. cat /proc/acpi/therm*/*/temperature - fan will stop
  
Actual results:
Fan stops/starts only when access file

Expected results:
Should stop/start without file access.

Additional info:
Have noticed the default FC5 x86_64 installation DVD installs both i386 and 
x86_64 versions of many packages (eg hal-0.5.7-3

Have attached a decompiled DSDT, lspci output, and messages log

cpuinfo:
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 36
model name      : AMD Turion(tm) 64 Mobile ML-40
stepping        : 2
cpu MHz         : 800.000
cache size      : 1024 KB
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov 
pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt lm 3dnowext 3dnow 
pni lahf_lm
bogomips        : 1599.43
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc
Comment 2 John Thacker 2006-04-19 01:56:32 EDT
*** Bug 188547 has been marked as a duplicate of this bug. ***
Comment 3 Phil Knirsch 2006-05-10 10:33:31 EDT
That sounds very much like a kernel problem though.

Reassigning to kernel.

Read ya, Phil
Comment 4 Peter Barker 2006-05-16 03:14:14 EDT
Bug still present with 2.6.16-1.2111_FC5 on x86_64. If configure gKrellm to monitor 
temperatures fan works OK, but if close gKrellm (and do not have anything else 
monitoring temperatures) fan state never changes.
Comment 5 Peter Barker 2006-05-22 17:45:17 EDT
I have just found this is the same as kernel bug 5534 (http://bugzilla.kernel.org/
show_bug.cgi?id=5534) for which a patch has been developed. Hopefully this patch will 
be applied to FC5 soon to prevent users of HP nx6125 frying their processors
Comment 6 Dave Jones 2006-10-16 14:13:27 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Peter Barker 2006-10-18 02:33:40 EDT
This problem still occurs with 2.6.18-1.2200.fc5.
Comment 8 Dave Jones 2006-10-18 03:00:30 EDT
As these have been applied to 2.6.19rc2, they will eventually propagate back
into Fedora when we rebase, but that's probably at least a month away.  Better
would be if these found their way into a 2.6.18.x release as part of the -stable
process.
Comment 9 Bug Zapper 2008-04-03 22:36:50 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 11:46:48 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.